Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11
Interface InitializeArgs

All Known Implementing Classes:
  DefaultInitializeArgs

public interface InitializeArgs

The interface that an object must implement to be a valid parameter for the initialize method of a Module object.

Version:
  1.0
Author:
  Karl Scheibelhofer

Method Summary
`MutexHandler` | `getMutexHandler()` This method returns the object that implements the functionality for handling mutexes.
`java.lang.Object` | `getReserved()` Reserved parameter.
`boolean` | `isLibraryCantCreateOsThreads()` Check, if application threads which are executing calls to the library may not use native operating system calls to spawn new threads.
`boolean` | `isOsLockingOk()` Check, if the library can use the native operation system threading model for locking.

Method Detail

### getMutexHandler

    public MutexHandler getMutexHandler()

  This method returns the object that implements the functionality for handling mutexes. It returns null, if no handler is set. If this method returns null, the wrapper does not pass any callback functions to the underlying module; i.e. is passes null-pointer for the functions.
  Returns:
    The handler object for mutex functionality, or null, if there is no handler for mutexes.

### isLibraryCantCreateOsThreads

    public boolean isLibraryCantCreateOsThreads()

  Check, if application threads which are executing calls to the library may not use native operating system calls to spawn new threads.
  Returns:
    True, if application threads which are executing calls to the library may not use native operating system calls to spawn new threads. False, if they may.

### isOsLockingOk

    public boolean isOsLockingOk()

  Check, if the library can use the native operation system threading model for locking.
  Returns:
    True, if the library can use the native operation system threading model for locking. Fasle, otherwise.

### getReserved

    public java.lang.Object getReserved()

  Reserved parameter.
  Returns:
    Should be null in this version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18